Tool
deployment_service_get
Get a single service by id.
Get a single service by id. A scheduled service (mode:'scheduled') also reports nextRunAt and lastRun — when it fires next and how its most recent run ended.
Behavior
- HTTP
GET /deployment/services/:id
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | • | No description in the catalog. |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| id | string | • | |
| mode | string | — | |
| name | string | • | |
| slug | string | • | |
| probes | object | • | |
| source | object | • | |
| command | string | — | |
| lastRun | object | — | |
| tracing | string | — | |
| replicas | integer | • | |
| schedule | string | — | |
| createdAt | string | • | |
| dependsOn | array | • | |
| nextRunAt | string | — | |
| resources | object | — | |
| updatedAt | string | • | |
| autoDeploy | boolean | — | |
| sleepState | string | • | |
| idleMinutes | integer | • | |
| scaleToZero | boolean | • | |
| containerPort | integer | • | |
| environmentId | string | • | |
| jobTimeoutSec | integer | — | |
| jobConcurrency | string | — | |
| buildMachineType | string | — | |
| scheduleSuspended | boolean | — | |
| suspendedByBilling | boolean | — | |
| lastReplicasRunning | integer | • | |
| scaleToZeroEligibility | object | — |
Try it
Get a single service by id.